##############################################################################
#    Name: Mic Diagnostic                                                    #
#    Type: Document file                                                     #
#    Desc: Used by test framework '-help' function for display.              #
#    File: te_doc.t    (Extension t for text file)                           #
##############################################################################

#MicDiagnostics provides diagnostic tests for Intel(R) Xeon Phi(TM) Coprocessors.

Usage:
        MicDiag -<Test group> -<Test case> [option(s)]
            If a test case is specified, you may not specify any other
            test case nor test group.
        
        MicDiag -<Test group> -<Test group> [option(s)]
            You may specify more than one test group.

Help: 
        MicDiag -help
            Provides general help for all test groups.

        MicDiag -<Test group> -help
            Help on stated test group and all tests in this group.
        

Options:
        The following is list of test options can be applied to any test group
        or test case.
        
        Option                Description

        -help                 Provide help on tool, test group and
                              test cases. Do not mix with other options.

        -skipOnFail           Tell if test need to skip on failure of test.

        -all                  Runs all test in given test group.

Example:
        MicDiag -help
        MicDiag -pcie -help
        MicDiag -summary -pcie -all
        MicDiag -pcie -vls 
        MicDiag -devicelist 0 -pcie -core -all
        MicDiag -devicelist 0,2 -pcie -core -all -skipOnFail

##############################################################################
#    End of file: te_doc.t 0.1 - 19-Nov-2007                            pmb  #
##############################################################################
